%define upstream_name    XML-Checker
%define upstream_version 0.13

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 12

Summary:	XML::Checker - a Perl module for validating XML
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/T/TJ/TJMATHER/%{upstream_name}-%{upstream_version}.tar.bz2
# rt#75526 - carp 1.25 changed its output
Patch0:     XML-Checker-0.13-fix_carp_1.25_output.patch

BuildRequires:	perl(XML::Parser) >= 2.30
BuildRequires:	perl(XML::DOM) >= 1.29
BuildRequires:	perl-libxml-perl >= 0.07
BuildArch:	noarch

Provides:	perl-libxml-enno
Obsoletes:	perl-libxml-enno

%description
XML::Checker can be used in different ways to validate XML. See the
manual pages of XML::Checker::Parser and XML::DOM::ValParser for more
information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build
make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/XML/Checker*
%{perl_vendorlib}/XML/DOM/*
%{_mandir}/man3/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.130.0-12.mga10
+ Revision: 2208040
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.130.0-11.mga9
+ Revision: 1817370
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.130.0-10.mga8
+ Revision: 1498337
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.130.0-9.mga7
+ Revision: 1272745
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.130.0-8.mga6
+ Revision: 1035891
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.130.0-7.mga6
+ Revision: 937910
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.130.0-6.mga5
+ Revision: 743102
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.130.0-5.mga5
+ Revision: 686900
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.130.0-4.mga4
+ Revision: 516023
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.130.0-3.mga3
+ Revision: 374960
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 05 2012 jquelin <jquelin> 0.130.0-2.mga3
+ Revision: 326952
- fix test with carp 1.25 (rt#75526)

* Fri Jan 21 2011 jquelin <jquelin> 0.130.0-1.mga1
+ Revision: 28909
- mageia rebuild
- imported package perl-XML-Checker


* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.130.0-1mdv2010.1
+ Revision: 401869
- rebuild using %%perl_convert_version

* Wed Sep 24 2008 Oden Eriksson <oeriksson@mandriva.com> 0.13-6mdv2009.0
+ Revision: 287785
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.13-4mdv2008.1
+ Revision: 180642
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Nov 20 2006 Oden Eriksson <oeriksson@mandriva.com> 0.13-3mdv2007.0
+ Revision: 85634
- Import perl-XML-Checker

* Mon Nov 20 2006 Oden Eriksson <oeriksson@mandriva.com> 0.13-3
- use the %%mkrel macro

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.13-2mdk
- fix deps

* Sat Jul 16 2005 Oden Eriksson <oeriksson@mandriva.com> 0.13-1mdk
- initial Mandriva package

